Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## simogl.geometry
Class MeshDL

    java.lang.Object
      simogl.geometry.AbstractMesh
          simogl.geometry.MeshDL

Direct Known Subclasses:
  SkyBox, Terrain

    public class MeshDL

extends AbstractMesh

This class represents a mesh. The mesh uses the display list technology.

Author:
  Frank Bruns

Constructor Summary
`MeshDL(javax.media.opengl.GL gl)` Creates a new mesh object

Method Summary
`void` | `createDisplayList(javax.media.opengl.GL gl)` This method creates the display list for the mesh object.
`void` | `deleteMesh(javax.media.opengl.GL gl)` Deletes the mesh
`void` | `draw(javax.media.opengl.GL gl)` Call this method to draw the mesh
`int` | `getMeshID()` Returns the unique id for this mesh
`void` | `setMeshID(int id)` Sets the unique mesh id
`void` | `specializedDraw(javax.media.opengl.GL gl)` Helper method to extract the specialised things just fitting to drawing of display list.

Methods inherited from class simogl.geometry.AbstractMesh
`addFace, disableRenderOptions, drawShadow, enableRenderOptions, getBoundingBox, getFaces, getMaterial, getPosition, getPositionX, getPositionY, getPositionZ, getRoationX, getRoationY, getRoationZ, getRotation, getTexture, isTransparent, performTransformations, rotate, rotateAxxisX, rotateAxxisY, rotateAxxisZ, scale, setDrawShadow, setEnabledFaceCulling, setMaterial, setPosition, setPosition, setPositionX, setPositionY, setPositionZ, setTexture, setTransparent, showBoundingBox, showWireFrame`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MeshDL

    public MeshDL(javax.media.opengl.GL gl)

  Creates a new mesh object

  Parameters:
    `gl` -

Method Detail

### getMeshID

    public int getMeshID()

  Returns the unique id for this mesh

  Returns:
    unique mesh id

### setMeshID

    public void setMeshID(int id)

  Sets the unique mesh id

  Parameters:
    `id` - unique mesh id

### createDisplayList

    public void createDisplayList(javax.media.opengl.GL gl)

  This method creates the display list for the mesh object. It is essentiell to call this method after every face has been added to mesh object.

  Parameters:
    `gl` -

### draw

    public void draw(javax.media.opengl.GL gl)

  Call this method to draw the mesh

  Specified by:
    `draw` in class `AbstractMesh`
  Parameters:
    `gl` -

### specializedDraw

    public void specializedDraw(javax.media.opengl.GL gl)

  Helper method to extract the specialised things just fitting to drawing of display list. This method is also used by shadow drawing.

  Specified by:
    `specializedDraw` in class `AbstractMesh`
  Parameters:
    `gl` -

### deleteMesh

    public void deleteMesh(javax.media.opengl.GL gl)

  Deletes the mesh

  Specified by:
    `deleteMesh` in class `AbstractMesh`
  Parameters:
    `gl` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD